#78427 Report by node travis-ci covering 1571 tests from 43 modules resulted into 8 errors

Report

ObsPy Version
1.0.3.post0+1076.geee842e6f5
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/223946342
GitHub Pull Request
https://github.com/obspy/obspy/pull/1757
Report File
XML Document
Total Runtime
376.8 sec
Report Date/Time
2017-04-20 08:13:37

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
x86_64
Python Compiler
GCC 4.4.7 20120313 (Red Hat 4.4.7-1)
Python Implementation
CPython
Python Version
3.4.5
Release
4.8.12-040812-generic
System
Linux
Version
#201612020431 SMP Fri Dec 2 09:33:31 UTC 2016

Dependencies

cartopy
---
decorator
4.0.11
flake8
---
future
0.16.0
geographiclib
1.48
lxml.etree
3.7.2
m2crypto
---
matplotlib
2.0.0
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.11.3
osgeo.gdal
---
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.5.1
requests
2.13.0
scipy
0.18.1
setuptools
27.2.0
sqlalchemy
1.1.5

Modules (43)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 6 1 2 3 4 5 6
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah 1 7
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 1 8
obspy.taup - -
Summary 8 8

Tracebacks (8)

Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/tests/test_waveform_plugins.py", line 436, in test_deepcopy
stream.write(format=format, filename=tmpfile)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 1439, in write
write_format(self, filename, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/io/ah/core.py", line 439, in _write_ah1
packer = _pack_trace_wout_ah_dict(tr, packer)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/io/ah/core.py", line 353, in _pack_trace_wout_ah_dict
packer.pack_fstring(6, tr.stats.station)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/xdrlib.py", line 100, in pack_fstring
data = data + (n - len(data)) * b'\0'
TypeError: Can't convert 'bytes' object to str implicitly
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/tests/test_waveform_plugins.py", line 259, in test_read_thread_safe
tr.write(outfile, format=format)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/trace.py", line 947, in write
Stream([self]).write(filename, format, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 1439, in write
write_format(self, filename, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/io/ah/core.py", line 439, in _write_ah1
packer = _pack_trace_wout_ah_dict(tr, packer)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/io/ah/core.py", line 353, in _pack_trace_wout_ah_dict
packer.pack_fstring(6, tr.stats.station)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/xdrlib.py", line 100, in pack_fstring
data = data + (n - len(data)) * b'\0'
TypeError: Can't convert 'bytes' object to str implicitly
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 345, in _make_request
self._validate_conn(conn)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 844, in _validate_conn
conn.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 326, in connect
ssl_context=context)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 362, in wrap_socket
_context=self)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 580, in __init__
self.do_handshake()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 807, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 630, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/tests/test_stream.py", line 1812, in test_read_url_via_network
tr = read('https://examples.obspy.org/test.sac', dtype=np.int32)[0]
File "<decorator-gen-31>", line 2, in read
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/decorator.py", line 299, in _map_example_filename
return func(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 225, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/base.py", line 543, in download_to_file
r = requests.get(url, stream=True)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.stream.read
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 1, in read
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 140, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z")
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 345, in _make_request
self._validate_conn(conn)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 844, in _validate_conn
conn.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 326, in connect
ssl_context=context)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 362, in wrap_socket
_context=self)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 580, in __init__
self.do_handshake()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 807, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 630, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[10]>", line 1, in <module>
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z")
File "<decorator-gen-31>", line 2, in read
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/decorator.py", line 299, in _map_example_filename
return func(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 225, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/base.py", line 543, in download_to_file
r = requests.get(url, stream=True)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 153, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/slist.ascii.bz2")
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 345, in _make_request
self._validate_conn(conn)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 844, in _validate_conn
conn.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 326, in connect
ssl_context=context)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 362, in wrap_socket
_context=self)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 580, in __init__
self.do_handshake()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 807, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 630, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[15]>", line 1, in <module>
st = read("https://examples.obspy.org/slist.ascii.bz2")
File "<decorator-gen-31>", line 2, in read
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/decorator.py", line 299, in _map_example_filename
return func(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 225, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/base.py", line 543, in download_to_file
r = requests.get(url, stream=True)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 163, in obspy.core.stream.read
Failed example:
stringio_obj = io.BytesIO(requests.get(example_url).content)
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 345, in _make_request
self._validate_conn(conn)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 844, in _validate_conn
conn.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 326, in connect
ssl_context=context)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 362, in wrap_socket
_context=self)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 580, in __init__
self.do_handshake()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 807, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 630, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[20]>", line 1, in <module>
stringio_obj = io.BytesIO(requests.get(example_url).content)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 164, in obspy.core.stream.read
Failed example:
st = read(stringio_obj)
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[21]>", line 1, in <module>
st = read(stringio_obj)
NameError: name 'stringio_obj' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 165, in obspy.core.stream.read
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:33:49.850000Z - ... | 200.0 Hz, 12000 samples
Got:
1 Trace(s) in Stream:
XX.TEST..BHZ | 2008-01-15T00:00:00.025000Z - 2008-01-15T00:00:15.875000Z | 40.0 Hz, 635 samples
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 173, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z",
starttime=dt, endtime=dt+10)
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 345, in _make_request
self._validate_conn(conn)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 844, in _validate_conn
conn.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 326, in connect
ssl_context=context)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 362, in wrap_socket
_context=self)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 580, in __init__
self.do_handshake()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 807, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 630, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[25]>", line 2, in <module>
starttime=dt, endtime=dt+10)
File "<decorator-gen-31>", line 2, in read
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/decorator.py", line 299, in _map_example_filename
return func(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 225, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/base.py", line 543, in download_to_file
r = requests.get(url, stream=True)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 175, in obspy.core.stream.read
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:34:00.000000Z - ... | 200.0 Hz, 2001 samples
Got:
1 Trace(s) in Stream:
XX.TEST..BHZ | 2008-01-15T00:00:00.025000Z - 2008-01-15T00:00:15.875000Z | 40.0 Hz, 635 samples
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/tests/test_waveform_plugins.py", line 328, in test_issue_193
tr.write(tempfile, format)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/trace.py", line 947, in write
Stream([self]).write(filename, format, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 1439, in write
write_format(self, filename, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/io/ah/core.py", line 439, in _write_ah1
packer = _pack_trace_wout_ah_dict(tr, packer)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/io/ah/core.py", line 353, in _pack_trace_wout_ah_dict
packer.pack_fstring(6, tr.stats.station)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/xdrlib.py", line 100, in pack_fstring
data = data + (n - len(data)) * b'\0'
TypeError: Can't convert 'bytes' object to str implicitly
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/tests/test_waveform_plugins.py", line 90, in test_read_and_write
tr.write(outfile, format=format)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/trace.py", line 947, in write
Stream([self]).write(filename, format, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 1439, in write
write_format(self, filename, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/io/ah/core.py", line 439, in _write_ah1
packer = _pack_trace_wout_ah_dict(tr, packer)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/io/ah/core.py", line 353, in _pack_trace_wout_ah_dict
packer.pack_fstring(6, tr.stats.station)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/xdrlib.py", line 100, in pack_fstring
data = data + (n - len(data)) * b'\0'
TypeError: Can't convert 'bytes' object to str implicitly
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/io/ah/tests/test_core.py", line 268, in test_write_ah1
_write_ah1(stream_orig, tmpfile)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/io/ah/core.py", line 437, in _write_ah1
packer = _pack_trace_with_ah_dict(tr, packer)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/io/ah/core.py", line 248, in _pack_trace_with_ah_dict
packer.pack_fstring(6, tr.stats.ah.station.code)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/xdrlib.py", line 100, in pack_fstring
data = data + (n - len(data)) * b'\0'
TypeError: Can't convert 'bytes' object to str implicitly
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.signal.tf_misfit.plot_tfr
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/signal/tf_misfit.py", line 1392, in plot_tfr
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/signal/tf_misfit.py", line 1433, in obspy.signal.tf_misfit.plot_tfr
Failed example:
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 345, in _make_request
self._validate_conn(conn)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 844, in _validate_conn
conn.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 326, in connect
ssl_context=context)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/util/ssl_.py", line 324, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 362, in wrap_socket
_context=self)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 580, in __init__
self.do_handshake()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/ssl.py", line 807, in do_handshake
self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 423, in send
timeout=timeout
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 630, in urlopen
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.signal.tf_misfit.plot_tfr[1]>", line 1, in <module>
tr = read("https://examples.obspy.org/a02i.2008.240.mseed")[0]
File "<decorator-gen-31>", line 2, in read
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/decorator.py", line 299, in _map_example_filename
return func(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/stream.py", line 225, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/core/util/base.py", line 543, in download_to_file
r = requests.get(url, stream=True)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 70, in get
return request('get', url, params=params, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/api.py", line 56, in request
return session.request(method=method, url=url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 488, in request
resp = self.send(prep, **send_kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/sessions.py", line 609, in send
r = adapter.send(request, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/requests/adapters.py", line 497, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)

Skipped Tests (17)

Submodule Test Skip Message
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse

Slowest Tests (20)

Runtime Test
21.046s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
12.878s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
11.082s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
8.960s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
6.948s test_data_remains_unchanged (obspy.imaging.tests.test_waveform.WaveformTestCase)
5.435s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
4.917s test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
4.847s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
4.516s test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase)
4.506s test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase)
4.477s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
4.321s test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase)
4.233s test_auto_read_arclink_xml (obspy.io.arclink.tests.test_inventory_xml.ArclinkInventoryTestCase)
4.223s __init__ (obspy.taup)
4.106s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
3.848s test_plot_wiggles_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.834s test_plot_azim_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.792s test_plot_wiggles_vertical_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.622s test_plot_wiggles_negative_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
3.573s test_plot_wiggles_positive_section (obspy.imaging.tests.test_waveform.WaveformTestCase)

Chuck Norris Fact

Chuck Norris can install iTunes without installing Quicktime.